### Method

# Gio FileEnumerator next_files_finish

#### Declaration

    GList*
    g_file_enumerator_next_files_finish (
      GFileEnumerator* enumerator,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finishes the asynchronous operation started with g_file_enumerator_next_files_async().

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GFileInfo*`

A `GList` of `GFileInfos`. You must free the list with `g_list_free()` and unref the infos with `g_object_unref()` when you’re done with them.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.